org.deidentifier.arx.reliability

## Class ParameterTranslation

- java.lang.Object
- - org.deidentifier.arx.reliability.ParameterTranslation

    public class ParameterTranslation
    extends java.lang.Object

Class supporting parameter calculations and translations.

Author:
  Fabian Prasser

### Field Summary

Fields
`static double` `RELATIVE_THRESHOLD_PRECISION` Relative threshold precision

### Constructor Summary

Constructors
Constructor and Description
`ParameterTranslation()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `getEffectiveRiskThreshold(double riskThreshold)` Returns the effective risk threshold
`static int` `getSizeThreshold(double riskThreshold)` Returns a minimal class size for the given risk threshold

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RELATIVE_THRESHOLD_PRECISION

    public static final double RELATIVE_THRESHOLD_PRECISION

Relative threshold precision

See Also:
  Constant Field Values

### Constructor Detail

#### ParameterTranslation

    public ParameterTranslation()

### Method Detail

#### getSizeThreshold

    public static int getSizeThreshold(double riskThreshold)

Returns a minimal class size for the given risk threshold

Parameters:
  `threshold` -
Returns:

#### getEffectiveRiskThreshold

    public static double getEffectiveRiskThreshold(double riskThreshold)

Returns the effective risk threshold

Parameters:
  `riskThreshold` -
Returns: